<?php
/**
 * Implements hook_drush_command().
 */
function custom_node_write_drush_command() {
  $items['node-content'] = array(
    'description' => 'node details write in file.',
    'callback' => 'drush_custom_node_content',
    'aliases' => array('nw'),
  );
  return $items;
}

function drush_custom_node_content() {
  $query = db_select('node', 'n');
  $result = $query
    ->fields('n', array('nid','title','type','created'))
    ->orderBy('n.nid', 'DESC')
    ->execute();

  $file = drupal_get_path('module','custom_node_write').'/node_content.xls';
  // Open the file to get existing content
  $current = file_get_contents($file);
  
  global $base_url;
  $article_url = "";
  $article_url_alias = "";
  $nids = "";
  
  foreach($result as $node){
    $nids = $node->nid;
    $title = $node->title;
    $content_type = $node->type;
    $create_date =  date('d M Y H:i:s',$node->created);
    $article_url_alias = drupal_lookup_path('alias',"node/".$nids);
    $article_url = $base_url.'/'.$article_url_alias;
    if($nids !== ""){
      $Node_Data = $nids."\t".$title."\t".$content_type."\t".$create_date."\t".$article_url."\n";
      $current .= $Node_Data;
    }
    else {
    } 
    $header = "Article ID" . "\t";
    $header .= "Title" . "\t";
    $header .= "Node Type" . "\t";
    $header .= "Create Date" . "\t";
    $header .= "Article Url" . "\t";

  // Write the contents back to the file
  file_put_contents($file, $header.$current);
  }
}